Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000859Windows Inform application[IDEs] Editingpublic2012-02-01 02:232014-05-07 07:41
ReporterFuchsia tude 
Assigned ToDavidK 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7 SP1
Product Version 
Target VersionFixed in Version6L02 
Summary0000859: Save As during compilation causes Inform 6 to fail
Description1) Start compiling a valid source

2) While NI is compiling, open a Save As dialog, enter a new name, and save to the new file

3) "Translating the Source - Failed
...
- using the Inform 6 compiler to turn this translated source into a viable story file - turned up errors"
Minimal Source Text To Reproduce
There is room.
Additional InformationI'd say either the File menu or problematic actions like Save As should be greyed out during compilation;

or compilation should pause until Save As is complete;

or Save As should be paused until compilation is complete.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001565)
zarf (developer)
2012-02-01 11:11

This is an IDE bug -- could you note what OS you are using?
(0001567)
Fuchsia tude (reporter)
2012-02-01 22:00

Win 7 SP1 x64, sorry.

- Issue History
Date Modified Username Field Change
2012-02-01 02:23 Fuchsia tude New Issue
2012-02-01 11:11 zarf Note Added: 0001565
2012-02-01 22:00 Fuchsia tude Note Added: 0001567
2012-02-02 15:23 jmcgrew Project Core Inform => Windows Inform application
2012-02-02 15:25 jmcgrew Category Releasing, bibliographic data, cBlorb => Editing
2012-02-02 15:25 jmcgrew OS => Windows
2012-02-02 15:25 jmcgrew OS Version => 7 SP1
2012-02-02 15:25 jmcgrew Platform => x64
2012-02-03 08:18 EmacsUser Status new => acknowledged
2012-03-26 01:03 DavidK Assigned To => DavidK
2012-03-26 01:03 DavidK Status acknowledged => assigned
2012-03-26 01:08 DavidK Status assigned => resolved
2012-03-26 01:08 DavidK Resolution open => fixed
2014-05-07 07:41 jmcgrew Fixed in Version => 6L02
2014-05-07 07:41 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker